<div align="center">
<img src="https://s2.loli.net/2023/10/27/WzQ4JLNV5epKh6X.png" style="width:150px"/>
    <h1>Nova Admin</h1>
</div>

<div align="center">
    <img src="https://img.shields.io/github/license/chansee97/nova-admin"/>
    <img src="https://img.shields.io/github/stars/chansee97/nova-admin"/>
    <img src="https://img.shields.io/github/forks/chansee97/nova-admin"/>
</div>

<div align='center'>

  English |  [中文](./README.zh-CN.md)
</div>

## Introduction

[Nova-admin](https://github.com/chansee97/nova-admin) A free and open-source template for middle platform/back-end based on Vue3, Vite4, Typescript, pinia, Naive UI, and Vue-Router to help improve the development efficiency of middle platform/back-end

## Features

- **Latest popular technology stack** - Developed based on the latest technology stack such as Vue3, Vite, TypeScript, NaiveUI, Pinia, etc
- **Network request function encapsulation** - Based on [alova](https://alova.js.org/) encapsulation and configuration, unified response processing and multi-scenario capabilities
- **Authority Control** - Perfect front and back-end authority management solution
- **Routing system** - Support local static routing and background return dynamic routing, routing is simple and easy to configure
- **Component packaging** - Secondary packaging of components with high frequency of daily use to meet basic workrequirements
- **Theme Configuration** - Dark Theme Adaptation
- **Code Specification** - Only perform eslint verification at commit time, no too many restrictions, easier development

## Project preview

- [Nova-Admin preview](https://admin-nova.vercel.app/)

![image.png](https://s2.loli.net/2023/10/10/YATI4y9kNOFDr6i.png)
![image.png](https://s2.loli.net/2023/10/10/2D7o5hpdTVlOY3y.png)
![image.png](https://s2.loli.net/2023/10/10/tmRANIG7JkFUS9K.png)
![image.png](https://s2.loli.net/2023/10/10/cy8nrv1kSLpjCT9.png)
![image.png](https://s2.loli.net/2023/10/10/rACdG2fUI6oJN7H.png)

## Repo

- [Gitee](https://gitee.com/chansee97/nova-admin)
- [Github](https://github.com/chansee97/nova-admin)

## Related projects

- [Nova-admin-nest](https://github.com/chansee97/nove-admin-nest) (under development) Nova-Admin supporting background project based on TS, NestJs, typeorm

## Install and use

The local development environment is recommended to use pnpm 8.x, Node.js 16.x

```bash
# install dependencies
pnpm i

# Run
pnpm dev

# Build product
pnpm build

```

## Interface document

This project uses ApiFox for interface mock, check the online documentation for more interface details
[online aipfox docs](https://apifox.com/apidoc/shared-2b1abeb5-6e78-425e-a4ff-d7277ae83bf0)

## Learn to communicate

Nova-Admin is a completely open-source and free project. It is still being optimized and iterated. It is designed to help developers more conveniently develop medium and large management systems. If you have any questions, please ask questions in the QQ exchange group.

| Q-Group | wechat |
| :--: |:--: |
| <img src="https://cdn.jsdelivr.net/gh/chansee97/static/nova-admin/q-group.png" width=170> | <img src="https://cdn.jsdelivr.net/gh/chansee97/static/wechat.png" width=170>|

## Contribution

If you find any issues or have suggestions for improvement, please create an [issue](nova-admin/issues/new) or submit a PR. We welcome your contributions!

## Support

If you feel that this project is helpful for your work or study, please help me order a ✨ Star, which will be a great encouragement and support for me, or you can buy me a cup of coffee below

| wechat | alipay |
| :--: |:--: |
| <img src="https://cdn.jsdelivr.net/gh/chansee97/static/sponsor-wechat.png" width=170> | <img src="https://cdn.jsdelivr.net/gh/chansee97/static/sponsor-alipay.png" width=170>|

## [Contributors](https://github.com/chansee97/nova-admin/graphs/contributors)

![Contributors](https://contrib.rocks/image?repo=chansee97/nova-admin)

## Star History

[![Star History Chart](https://api.star-history.com/svg?repos=chansee97/nova-admin&type=Date)](https://star-history.com/#chansee97/nova-admin&Date)

## License

[MIT](LICENSE)
